Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 576992 - x11-misc/gmrun-1.0.2 version bump (fork)
Summary: x11-misc/gmrun-1.0.2 version bump (fork)
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Desktop Misc. Team
URL: https://gitlab.com/mazes_80/gmrun/
Whiteboard:
Keywords: EBUILD
Depends on:
Blocks:
 
Reported: 2016-03-10 19:04 UTC by Samuel Bauer
Modified: 2020-01-11 11:10 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gmrun-1.0.0.tar.xz (gmrun-1.0.0.tar.xz,97.65 KB, application/x-xz)
2016-03-10 19:04 UTC, Samuel Bauer
Details
gmrun-1.0.0.ebuild (file_576992.txt,114 bytes, text/plain)
2016-03-10 19:10 UTC, Samuel Bauer
Details
gmrun-1.0.0.ebuild (gmrun-1.0.0.ebuild,723 bytes, text/plain)
2016-03-18 17:36 UTC, Samuel Bauer
Details
gmrun-1.0.0.ebuild (gmrun-1.0.0.ebuild,699 bytes, text/plain)
2016-03-27 15:34 UTC, Samuel Bauer
Details
gmrun-1.0.0.ebuild (gmrun-1.0.0.ebuild,792 bytes, text/plain)
2018-01-19 21:24 UTC, Samuel Bauer
Details
gmrun-9999.ebuild (gmrun-9999.ebuild,635 bytes, text/plain)
2018-01-19 21:32 UTC, Samuel Bauer
Details
gmrun-1.0.0.ebuild (gmrun-1.0.0.ebuild,826 bytes, text/plain)
2018-01-26 09:49 UTC, Samuel Bauer
Details
gmrun-1.0.1.ebuild (gmrun-1.0.1.ebuild,1.00 KB, text/plain)
2018-01-29 21:14 UTC, Samuel Bauer
Details
gmrun-9999.ebuild (gmrun-9999.ebuild,966 bytes, text/plain)
2018-02-01 19:19 UTC, Samuel Bauer
Details
gmrun-1.0.1.ebuild (gmrun-1.0.1.ebuild,1.01 KB, text/plain)
2018-02-01 19:19 UTC, Samuel Bauer
Details
gmrun-1.0.2.ebuild (gmrun-1.0.2.ebuild,1.01 KB, text/plain)
2018-06-05 00:13 UTC, Samuel Bauer
Details
gmrun-1.0.2.ebuild (gmrun-1.0.2.ebuild,1.04 KB, text/plain)
2018-07-01 21:11 UTC, Samuel Bauer
Details
gmrun-1.0.2.ebuild (gmrun-1.0.2.ebuild,1.00 KB, text/plain)
2018-09-01 12:14 UTC, Samuel Bauer
Details
gmrun-9999.ebuild (gmrun-9999.ebuild,1009 bytes, text/plain)
2018-09-01 12:14 UTC, Samuel Bauer
Details
metadata.xml (metadata.xml,667 bytes, text/xml)
2018-09-01 12:15 UTC, Samuel Bauer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Bauer 2016-03-10 19:04:16 UTC
Created attachment 427918 [details]
gmrun-1.0.0.tar.xz

I recently saw a buffer overflow in gmrun-0.9.2
After fixing it, I felt I need to port this to gtk3.
I also fixed some other minor thing in the code.
Comment 1 Samuel Bauer 2016-03-10 19:10:03 UTC
Created attachment 427920 [details]
gmrun-1.0.0.ebuild
Comment 2 Samuel Bauer 2016-03-11 07:47:18 UTC
Pushed to gitlab:
https://gitlab.com/mazes_80/gmrun
Comment 3 Pacho Ramos gentoo-dev 2016-03-14 12:37:49 UTC
Maybe you could proxy maintain this if desktop-misc people don't disagree :/
Comment 4 Samuel Bauer 2016-03-18 17:36:48 UTC
Created attachment 428546 [details]
gmrun-1.0.0.ebuild

Updated ebuild to point to freshly set up repository.
Added vcs-snapshot to solve gitlab archive naming, as suggested in #575962 comment 3
Comment 5 Samuel Bauer 2016-03-27 15:34:13 UTC
Created attachment 429108 [details]
gmrun-1.0.0.ebuild
Comment 6 John Blbec 2018-01-19 09:16:54 UTC
unfortunately, there is still segfault...

$ gmrun
Segmentation fault
$ echo $?
139
$ gdb gmrun
Reading symbols from gmrun...(no debugging symbols found)...done.
(gdb) run
Starting program: /usr/bin/gmrun 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffec008700 (LWP 4771)]
[New Thread 0x7fffeb807700 (LWP 4772)]

Thread 1 "gmrun" received signal SIGSEGV, Segmentation fault.
0x00007ffff6ff2ad0 in g_type_check_instance_cast () from /usr/lib64/libgobject-2.0.so.0
(gdb) bt
#0  0x00007ffff6ff2ad0 in g_type_check_instance_cast () from /usr/lib64/libgobject-2.0.so.0
#1  0x0000555555559c4d in ?? ()
#2  0x00007ffff6307541 in __libc_start_main () from /lib64/libc.so.6
#3  0x000055555555a27a in ?? ()
Comment 7 Samuel Bauer 2018-01-19 14:18:53 UTC
Yes,
Comment 8 Samuel Bauer 2018-01-19 14:33:24 UTC
there is a segmentation fault, when compiling with pie.

For now, I just use a -no-pie ugly workaround.

I hope being able to fix this soon. Unfortunately, the error happens in some macro, so backtrace does not help a lot here. Custom widget may need more changes when migrating to gtk3, but I just did it "raw".

A friend of mine also noticed the same behaviour in evince (under fedora for him), but is not yet able to reproduce the bug.
Comment 9 Samuel Bauer 2018-01-19 21:24:19 UTC
Created attachment 515316 [details]
gmrun-1.0.0.ebuild

Thanks, for your comment, as it incited me to have a look at this issue.

debian bug #857065 pointed the exact same issue with the gtk2 only version of gmrun. They included some fedora patch to fix this.

The fix in this version of the ebuild is pretty similar to what was suggested by the patch.
Comment 10 Samuel Bauer 2018-01-19 21:32:11 UTC
Created attachment 515318 [details]
gmrun-9999.ebuild

I also add a live ebuild (gtk3 deprecated functions removal).
Comment 11 John Blbec 2018-01-21 14:30:10 UTC
live ebuild 9999 works like a charm! thank you :-)
Comment 12 Samuel Bauer 2018-01-21 15:31:48 UTC
(In reply to John Blbec from comment #11)
> live ebuild 9999 works like a charm! thank you :-)

Does the 1.0.0 new ebuild version also works ? Here it does

(In reply to Pacho Ramos from comment #3)
> Maybe you could proxy maintain this if desktop-misc people don't disagree :/

Yes, as I already maintain it for myself, i'm not against. Feedback incites me to solve issues, when I just use workaround when only for me.
I also see #640018: some people still use this launcher, and bug can be closed if this bump is integrated.
Comment 13 John Blbec 2018-01-22 05:00:57 UTC
(In reply to Samuel BAUER from comment #12)
> (In reply to John Blbec from comment #11)
> > live ebuild 9999 works like a charm! thank you :-)
> 
> Does the 1.0.0 new ebuild version also works ? Here it does
> 

1.0.0 ebuild works great as well
Comment 14 Samuel Bauer 2018-01-26 09:49:58 UTC
Created attachment 516766 [details]
gmrun-1.0.0.ebuild

new EAPI defines sysconfdir = etc
fix the 1.0.0 ebuild to install with sysconfir = datadir
Comment 15 John Blbec 2018-01-29 16:25:12 UTC
it seems there is a problem with a configuration in ~/.gmrunrc which has lesser priority than the main one in /usr/share/gmrun/gmrunrc so user's configuration is ignored until you rename or delete the main one.
Comment 16 Samuel Bauer 2018-01-29 21:14:10 UTC
Created attachment 517084 [details]
gmrun-1.0.1.ebuild

Unlike <1.0.0 user configuration and history are now stored under
    ~/.config

Or according your settings for XDG_CONFIG_DIR

1.0.1 removes url and extension handlers in config file, they're now managed through .desktop files and mimes.
Comment 17 Samuel Bauer 2018-02-01 19:19:16 UTC
Created attachment 517432 [details]
gmrun-9999.ebuild
Comment 18 Samuel Bauer 2018-02-01 19:19:56 UTC
Created attachment 517434 [details]
gmrun-1.0.1.ebuild
Comment 19 Samuel Bauer 2018-06-05 00:13:59 UTC
Created attachment 534874 [details]
gmrun-1.0.2.ebuild
Comment 20 Samuel Bauer 2018-07-01 21:11:56 UTC
Created attachment 538038 [details]
gmrun-1.0.2.ebuild

Use tar.bz2 archive instead of tar.gz
Comment 21 Jonas Stein gentoo-dev 2018-09-01 07:27:29 UTC
Thank you for your contribution. I had a short look on the ebuild. 
Here a few ideas:

• Please test the ebuild with repoman full -x https://wiki.gentoo.org/wiki/Repoman
• We always try to use the latest EAPI, please bump to EAPI=7
https://dev.gentoo.org/~mgorny/articles/the-ultimate-guide-to-eapi-7.html
• do not set KEYWORDS in the 9999 ebuild
• KEYWORDS need ~ after a version bump run ekeyword ~all YOUREBUILD
• please fix the header. (see /usr/portage/skel.ebuild and https://devmanual.gentoo.org/ebuild-writing/eapi/)
• We usually sort the KEYWORDS as ekeywords does. This makes comparison between packages easier. Simply run ekeywords on the ebuild to let it sort.


ewarn "Changes since gmrun-0.9.2:"
	ewarn "~/.gmrun_history moved to ~/.config/gmrun_history"
	ewarn "~/.gmrunrc moved to ~/.config/gmrunrc"
	ewarn "URL and extension handlers are now .desktop files"

# I do not fully understand the following line. Please be more specific, what the 
# user needs to know here:
	ewarn "You may remove gmrun specific handlers in configuration file"
Comment 22 Samuel Bauer 2018-09-01 12:14:01 UTC
Created attachment 545716 [details]
gmrun-1.0.2.ebuild

repoman seems happy now

(In reply to Jonas Stein from comment #21)
> 	ewarn "URL and extension handlers are now .desktop files"
> 
> # I do not fully understand the following line. Please be more specific,
> what the 
> # user needs to know here:
> 	ewarn "You may remove gmrun specific handlers in configuration file"

Handlers management is now done via .desktop, so relics from custom handlers should be removed from configuration, I added "so" to the modified ebuild ewarn is easier to understand.
Comment 23 Samuel Bauer 2018-09-01 12:14:40 UTC
Created attachment 545718 [details]
gmrun-9999.ebuild
Comment 24 Samuel Bauer 2018-09-01 12:15:23 UTC
Created attachment 545720 [details]
metadata.xml
Comment 25 CaptainBlood 2020-01-11 01:24:40 UTC
@Samuel Bauer:
Thks for gmrun-1.0.2.ebuild which build and run fine here whereas gmrun-1.0.2 amd stable segfaults here.
I can see this thread started quite a long time ago...
I must have missed something.
Comment 26 Jeroen Roovers gentoo-dev 2020-01-11 11:10:14 UTC
Comment on attachment 545720 [details]
metadata.xml

--- a/x11-misc/gmrun/metadata.xml
+++ b/x11-misc/gmrun/metadata.xml
@@ -12,4 +12,8 @@
        <upstream>
                <remote-id type="sourceforge">gmrun</remote-id>
        </upstream>
+       <use>
+               <flag name="gtk2">Use gtk+:2 instead of default gtk+:3</flag>
+               <flag name="popt">Use dev-libs/popt for parsing options</flag>
+       </use>
 </pkgmetadata>